Package com.sun.jna.platform.win32

# Class OaIdl._VARIANT_BOOLByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.win32.OaIdl._VARIANT_BOOLByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  OaIdl

public static class OaIdl._VARIANT_BOOLByReference extends ByReference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `_VARIANT_BOOLByReference()`
  `_VARIANT_BOOLByReference(OaIdl.VARIANT_BOOL value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OaIdl.VARIANT_BOOL`
  `getValue()`
  `void`
  `setValue(OaIdl.VARIANT_BOOL value)`

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### _VARIANT_BOOLByReference

    public _VARIANT_BOOLByReference()

  - ### _VARIANT_BOOLByReference

    public _VARIANT_BOOLByReference(OaIdl.VARIANT_BOOL value)

- ## Method Details

  - ### setValue

    public void setValue(OaIdl.VARIANT_BOOL value)

  - ### getValue

    public OaIdl.VARIANT_BOOL getValue()